Page MenuHomePhabricator

OpenLibrary citation has incorrect author information (bug filed upstream)
Closed, ResolvedPublic0 Story Points

Description

This url

https://openlibrary.org/works/OL4957765W/Days_of_our_lives

Creates:

curl -d '{"url":"https://openlibrary.org/works/OL4957765W/Days_of_our_lives","sessionid":"abc123"}' --header "Content-Type: application/json" 127.0.0.1:1969/web  


[{"itemType":"book","creators":[{"firstName":"Paul Avrich Collection (Library of","lastName":"Congress)","creatorType":"author"},{"firstName":"Rose","lastName":"Pesotta","creatorType":"author"}],"notes":[{"itemType":"note","note":"\"First printing.\""}],"tags":[{"tag":"Soviet Union -- Social conditions.","type":1}],"title":"Days of our lives","publisher":"Excelsior","date":"1958","language":"eng","numPages":"262","place":"Boston","libraryCatalog":"The Open Library"}]

Track the bug in Zotero upstream - https://github.com/zotero/translators/issues/1244
PR - https://github.com/zotero/translators/pull/1280

Details

Related Gerrit Patches:
mediawiki/services/zotero/translators : masterUpdate translators to 427690f from github

Event Timeline

LuisVilla created this task.Apr 5 2015, 7:37 PM
LuisVilla raised the priority of this task from to Needs Triage.
LuisVilla updated the task description. (Show Details)
LuisVilla added a project: Citoid.
LuisVilla added a subscriber: LuisVilla.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2015, 7:37 PM
LuisVilla renamed this task from Weird citation from OpenLibrary to OpenLibrary citation has incorrect author information.Apr 5 2015, 7:37 PM
LuisVilla set Security to None.
Mvolz moved this task from Backlog to Site specific issues on the Citoid board.Apr 7 2015, 12:40 PM
Mvolz added a subscriber: Mvolz.Sep 19 2016, 4:04 PM

Yes, this is a Zotero translator issue.

Restricted Application added a project: VisualEditor. · View Herald TranscriptSep 19 2016, 4:04 PM
Mvolz renamed this task from OpenLibrary citation has incorrect author information to OpenLibrary citation has incorrect author information; file bug upstream to https://github.com/zotero/translators.Sep 19 2016, 4:12 PM
Mvolz triaged this task as Lowest priority.
Mvolz updated the task description. (Show Details)
Jdforrester-WMF set the point value for this task to 0.
Mvolz updated the task description. (Show Details)Oct 9 2016, 4:43 PM
Mvolz moved this task from Site specific issues to Zotero on the Citoid board.Oct 29 2016, 7:37 AM
Mine0901 renamed this task from OpenLibrary citation has incorrect author information; file bug upstream to https://github.com/zotero/translators to OpenLibrary citation has incorrect author information; bug filed in upstream to https://github.com/zotero/translators.Feb 26 2017, 3:18 PM
Mine0901 updated the task description. (Show Details)
czar added a subscriber: czar.Mar 12 2017, 10:00 AM
czar renamed this task from OpenLibrary citation has incorrect author information; bug filed in upstream to https://github.com/zotero/translators to OpenLibrary citation has incorrect author information (bug filled upstream).Mar 12 2017, 10:08 AM
czar renamed this task from OpenLibrary citation has incorrect author information (bug filled upstream) to OpenLibrary citation has incorrect author information (bug filed upstream).
Mine0901 updated the task description. (Show Details)Apr 7 2017, 5:38 AM
Mine0901 closed this task as Resolved.Apr 25 2017, 1:49 PM
Mine0901 updated the task description. (Show Details)
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 25 2017, 1:49 PM
Mine0901 updated the task description. (Show Details)Apr 25 2017, 1:49 PM
Mvolz reopened this task as Open.Apr 26 2017, 12:19 PM

RE-opening as we still have yet to pull this upstream change into our local repo and deploy. :)

Change 355592 had a related patch set uploaded (by Mvolz; owner: Aude):
[mediawiki/services/zotero/translators@master] Update translators to 427690f from github

https://gerrit.wikimedia.org/r/355592

Change 355592 merged by Mobrovac:
[mediawiki/services/zotero/translators@master] Update translators to 427690f from github

https://gerrit.wikimedia.org/r/355592

Mentioned in SAL (#wikimedia-operations) [2017-05-30T21:21:43Z] <mobrovac@tin> Started deploy [zotero/translators@f051fe7]: Translators update for T95128 and T166292

Mentioned in SAL (#wikimedia-operations) [2017-05-30T21:21:53Z] <mobrovac@tin> Finished deploy [zotero/translators@f051fe7]: Translators update for T95128 and T166292 (duration: 00m 05s)

mobrovac closed this task as Resolved.May 30 2017, 9:24 PM
mobrovac assigned this task to aude.
mobrovac removed a project: Patch-For-Review.
mobrovac added a subscriber: mobrovac.

Merged && deployed. Resolving.